ITfInputProcessorProfileActivationSinkVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfInputProcessorProfileActivationSink *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfInputProcessorProfileActivationSink *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfInputProcessorProfileActivationSink *)
| HRESULT (STDMETHODCALLTYPE *OnActivated)(ITfInputProcessorProfileActivationSink *

## Data Fields

| REFIID
| DWORD
| LANGID
| REFCLSID
| REFGUID
| HKL

## Detailed Description

Definition at line 214 of file SDL_msctf.h.

## Member Function Documentation

ITfInputProcessorProfileActivationSinkVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

ITfInputProcessorProfileActivationSinkVtbl::HRESULT | ( | STDMETHODCALLTYPE * | OnActivated | ) |

void** ITfInputProcessorProfileActivationSinkVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

ITfInputProcessorProfileActivationSinkVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

ITfInputProcessorProfileActivationSinkVtbl::DWORD

Definition at line 219 of file SDL_msctf.h.

ITfInputProcessorProfileActivationSinkVtbl::HKL

Definition at line 219 of file SDL_msctf.h.

ITfInputProcessorProfileActivationSinkVtbl::LANGID

Definition at line 219 of file SDL_msctf.h.

ITfInputProcessorProfileActivationSinkVtbl::REFCLSID

Definition at line 219 of file SDL_msctf.h.

ITfInputProcessorProfileActivationSinkVtbl::REFGUID

Definition at line 219 of file SDL_msctf.h.

ITfInputProcessorProfileActivationSinkVtbl::REFIID

Definition at line 216 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h